<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net5.0</TargetFramework>
        <RootNamespace>Corp.WebAPI</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="8.1.1" />
      <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="5.0.11" />
      <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning" Version="5.0.0" />
      <PackageReference Include="Microsoft.AspNetCore.Mvc.Versioning.ApiExplorer" Version="5.0.0" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.11" />
      <PackageReference Include="Serilog.AspNetCore" Version="4.1.0" />
      <PackageReference Include="Swashbuckle.AspNetCore" Version="6.2.3" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Booking.Application\Booking.Application.csproj" />
      <ProjectReference Include="..\Booking.Persistence\Booking.Persistence.csproj" />
    </ItemGroup>

</Project>
